<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.parameters="http://www.eclipse.org/papyrus/robotics/parameters/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/parameters/1 http://www.eclipse.org/papyrus/robotics/1#//parameters">
  <uml:Model xmi:id="ID" name="mavros">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_1H5RoVBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_1H5RolBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_T7frkG-0EeiX6ta975XXMg"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="ID_imu" name="imu">
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_imu_mavros/imu/data" name="mavros/imu/data" type="_1O4DYVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_imu_mavros/imu/data_raw" name="mavros/imu/data_raw" type="_1O6foVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_imu_mavros/imu/diff_pressure" name="mavros/imu/diff_pressure" type="_1O874VBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_imu_mavros/imu/mag" name="mavros/imu/mag" type="_1O_YIVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_imu_mavros/imu/static_pressure" name="mavros/imu/static_pressure" type="_1PCbcVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_imu_mavros/imu/temperature_baro" name="mavros/imu/temperature_baro" type="_1PE3sVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_imu_mavros/imu/temperature_imu" name="mavros/imu/temperature_imu" type="_1PHT8VBAEeyolvKeZlZVSw" aggregation="composite"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1H5RpFBAEeyolvKeZlZVSw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1O4DYVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_1O5RgVBAEeyolvKeZlZVSw" client="_1O4DYVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_Imu"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_Imu"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1O6foVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_1O7twVBAEeyolvKeZlZVSw" client="_1O6foVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_Imu"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_Imu"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1O874VBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_1O-KAVBAEeyolvKeZlZVSw" client="_1O874VBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_FluidPressure"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_FluidPressure"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1O_YIVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_1PAmQVBAEeyolvKeZlZVSw" client="_1O_YIVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_MagneticField"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_MagneticField"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1PCbcVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_1PDpkVBAEeyolvKeZlZVSw" client="_1PCbcVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_FluidPressure"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_FluidPressure"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1PE3sVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_1PGF0VBAEeyolvKeZlZVSw" client="_1PE3sVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_Temperature"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_Temperature"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_1PHT8VBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_1PIiEVBAEeyolvKeZlZVSw" client="_1PHT8VBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_Temperature"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/sensor_msgs.servicedef.uml#svcdefs/P_Temperature"/>
        </interfaceRealization>
      </nestedClassifier>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5RpVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RplBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5Rp1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RqFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5RqVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RqlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5Rq1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RrFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5RrVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RrlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5Rr1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RsFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5RsVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RslBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5Rs1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RtFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5RtVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RtlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_1H5Rt1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_1H5RuFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:ComponentDefinitionModel xmi:id="_1H5RuVBAEeyolvKeZlZVSw" base_Package="ID" external="true"/>
  <robotics.components:ComponentDefinition xmi:id="_1H5RulBAEeyolvKeZlZVSw" base_Class="ID_imu" isLifecycle="false"/>
  <robotics.parameters:Parameter xmi:id="_1H5Ru1BAEeyolvKeZlZVSw" base_Class="_1H5RpFBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1O4DYFBAEeyolvKeZlZVSw" base_Port="ID_imu_mavros/imu/data"/>
  <robotics.components:ComponentService xmi:id="_1O5RgFBAEeyolvKeZlZVSw" base_Class="_1O4DYVBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1O6foFBAEeyolvKeZlZVSw" base_Port="ID_imu_mavros/imu/data_raw"/>
  <robotics.components:ComponentService xmi:id="_1O7twFBAEeyolvKeZlZVSw" base_Class="_1O6foVBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1O874FBAEeyolvKeZlZVSw" base_Port="ID_imu_mavros/imu/diff_pressure"/>
  <robotics.components:ComponentService xmi:id="_1O-KAFBAEeyolvKeZlZVSw" base_Class="_1O874VBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1O_YIFBAEeyolvKeZlZVSw" base_Port="ID_imu_mavros/imu/mag"/>
  <robotics.components:ComponentService xmi:id="_1PAmQFBAEeyolvKeZlZVSw" base_Class="_1O_YIVBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1PCbcFBAEeyolvKeZlZVSw" base_Port="ID_imu_mavros/imu/static_pressure"/>
  <robotics.components:ComponentService xmi:id="_1PDpkFBAEeyolvKeZlZVSw" base_Class="_1PCbcVBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1PE3sFBAEeyolvKeZlZVSw" base_Port="ID_imu_mavros/imu/temperature_baro"/>
  <robotics.components:ComponentService xmi:id="_1PGF0FBAEeyolvKeZlZVSw" base_Class="_1PE3sVBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_1PHT8FBAEeyolvKeZlZVSw" base_Port="ID_imu_mavros/imu/temperature_imu"/>
  <robotics.components:ComponentService xmi:id="_1PIiEFBAEeyolvKeZlZVSw" base_Class="_1PHT8VBAEeyolvKeZlZVSw"/>
</xmi:XMI>
